## ros-melodic-camera-calibration 1.15.0

=== debian/changelog ===
ros-melodic-camera-calibration (1.15.0-1stretch) stretch; urgency=high

  * Fix import path on camera_calibrator.py (#509 <https://github.com/ros-perception/image_pipeline/issues/509>)
  * Fixes #501 <https://github.com/ros-perception/image_pipeline/issues/501>: self.size is set before dumping calibration parameters in calibrator.py do_calibration(self, dump) (#502 <https://github.com/ros-perception/image_pipeline/issues/502>)
    Not sure how this one made it through. Thanks for the fix!
  * Contributors: Gonçalo Camelo Neves Pereira, Stewart Jamieson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 May 2020 05:00:00 -0000

ros-melodic-camera-calibration (1.14.0-1stretch) stretch; urgency=high

  * Add Fisheye calibration tool (#440 <https://github.com/ros-perception/image_pipeline/issues/440>)
    * Add Fisheye calibration tool
    * Restore camera_calib files permisions
    * Upgrades to calibrator tool for multi model calibration
    * Solve fisheye balance selection
    * Add fisheye calibration flags as user arguments
    * Add undistortion of points for fisheye
    * cam_calib: Style formating
  * camera_calibration: Improve YAML formatting, make config dumping methods static (#438 <https://github.com/ros-perception/image_pipeline/issues/438>)
    * Add from __future__ import print_function
    * Improve YAML formatting, make some methods static
    * Improves matrix formatting in YAML.
    * Reduced decimal figures for camera and projection matrix values from 8 to 5.
    * Making the methods static allows them to be used from elsewhere as well to dump calibration info.
  * camera_calibration: Fix all-zero distortion coeffs returned for a rational_polynomial model (#433 <https://github.com/ros-perception/image_pipeline/issues/433>)
    * Fix empty distortion coeffs returned for a rational_polynomial model
    * Remove the redundant distCoeffs parameter from cv2.calibrateCamera()
    * Set the shape of distortion_coefficients correctly in YAML output
  * Merge pull request #437 <https://github.com/ros-perception/image_pipeline/issues/437> from valgur/enable-calibration-with-empty-queue
    camera_calibration: Make sure 'calibrate' button works even if not receiving images anymore
  * Make sure 'calibrate' button works even if not receiving images anymore
  * Merge pull request #432 <https://github.com/ros-perception/image_pipeline/issues/432> from valgur/melodic
    camera_calibration: Fix excessive CPU usage due to queue synchronization
  * Replace deque with a modified Queue, add --queue-size param
    Base fork on upstream melodic instead of indigo
  * Contributors: David Torres Ocaña, Joshua Whitley, Martin Valgur, Tim Übelhör

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 12 Jan 2020 06:00:00 -0000

ros-melodic-camera-calibration (1.13.0-1stretch) stretch; urgency=high

  * Merge pull request #356 <https://github.com/ros-perception/image_pipeline/issues/356> from sevangelatos/feature/calibrator_rolling_shutter
  * Add max-chessboard-speed option to allow more accurate calibration of rolling shutter cameras.
  * Merge pull request #334 <https://github.com/ros-perception/image_pipeline/issues/334> from Fruchtzwerg94/patch-2
    Scale pixels down from 16 to 8 bits instead of just clipping
  * Merge pull request #340 <https://github.com/ros-perception/image_pipeline/issues/340> from k-okada/286
    use waitKey(0) instead of while loop
  * Merge pull request #395 <https://github.com/ros-perception/image_pipeline/issues/395> from ros-perception/steve_maintain
  * adding autonomoustuff mainainer
  * adding stevemacenski as maintainer to get emails
  * Scale pixels down from 16 to 8 bits instead of just clipping
    Clipping 16 bit pixels just to 8 bit pixels leads to white images if the original image uses the full range of the 16 bits. Instead the pixel should be scaled down to 8 bits.
  * Contributors: Joshua Whitley, Kei Okada, Philipp, Spiros Evangelatos, Yoshito Okada, stevemacenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Jun 2019 05:00:00 -0000

ros-melodic-camera-calibration (1.12.23-1stretch) stretch; urgency=high

  * camera_checker: Ensure cols + rows are in correct order (#319 <https://github.com/ros-perception/image_pipeline/issues/319>)
    Without this commit, specifying a smaller column than row size lead to
    huge reported errors:
    ```
    $ rosrun camera_calibration cameracheck.py --size 6x7 --square 0.0495
    Linearity RMS Error: 13.545 Pixels      Reprojection RMS Error: 22.766 Pixels
    $ rosrun camera_calibration cameracheck.py --size 7x6 --square 0.0495
    Linearity RMS Error: 0.092 Pixels      Reprojection RMS Error: 0.083 Pixels
    ```
    This commit switches columns and rows around if necessary.
  * Contributors: Martin Günther

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 05:00:00 -0000

ros-melodic-camera-calibration (1.12.22-1stretch) stretch; urgency=high

  * Changed flags CV_LOAD_IMAGE_COLOR by IMREAD_COLOR to adapt to Opencv3. (#252 <https://github.com/ros-perception/image_pipeline/issues/252>)
  * Fixed stereo calibration problem with chessboard with the same number of rows and cols by rotating the corners to same direction.
  * Contributors: jbosch

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 06:00:00 -0000

ros-melodic-camera-calibration (1.12.21-1stretch) stretch; urgency=high

  * re-add the calibration nodes but now using the Python modules.
    Fixes #298 <https://github.com/ros-perception/image_pipeline/issues/298>
  * Move nodes to Python module.
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-melodic-camera-calibration (1.12.20-1stretch) stretch; urgency=high

  * properly save bytes buffer as such
    This is useful for Python 3 and fixes #256 <https://github.com/ros-perception/image_pipeline/issues/256>.
  * Get tests slightly looser.
    OpenCV 3.2 gives slightly different results apparently.

