=== debian/control ===
Source: ros-melodic-camera-calibration
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin (>= 0.5.68), ros-melodic-rostest
Homepage: http://www.ros.org/wiki/camera_calibration
Standards-Version: 3.9.2

Package: ros-melodic-camera-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cv-bridge, ros-melodic-image-geometry, ros-melodic-message-filters, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-srvs
Description: camera_calibration allows easy calibration of monocular or stereo cameras using a checkerboard calibration target.
