## ros-melodic-camera-calibration 1.15.2

=== debian/changelog ===
ros-melodic-camera-calibration (1.15.2-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 13 Jul 2022 05:00:00 -0000

ros-melodic-camera-calibration (1.15.1-1bionic) bionic; urgency=high

  * Fix calibration yaml formatting (#580 <https://github.com/ros-perception/image_pipeline/issues/580>)
  * updated linear_error function to handle partial board views (#560 <https://github.com/ros-perception/image_pipeline/issues/560>)
    * updated linear_error function to handle partial board views
    * more charuco fixes
    * filter len fix
  * Fix missing detected checkerboard points (#556 <https://github.com/ros-perception/image_pipeline/issues/556>)
    Variables are swapped
  * Add ChArUco board target (#548 <https://github.com/ros-perception/image_pipeline/issues/548>)
    * detecting ChArUco board
    * successful ChArUco calibration
    * updated with review comments
  * fixes for fisheye calibration (#542 <https://github.com/ros-perception/image_pipeline/issues/542>)
    * fix #503 <https://github.com/ros-perception/image_pipeline/issues/503>:
    set_cammodel of StereoCalibrator need to override the method of parent class
    fix related to https://github.com/opencv/opencv/issues/11085
  * Contributors: David Torres Ocaña, Gonçalo Camelo Neves Pereira, John Stechschulte, Joshua Whitley, Photon, Stewart Jamieson, soeroesg

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Dec 2020 06:00:00 -0000

ros-melodic-camera-calibration (1.15.0-1bionic) bionic; urgency=high

  * Fix import path on camera_calibrator.py (#509 <https://github.com/ros-perception/image_pipeline/issues/509>)
  * Fixes #501 <https://github.com/ros-perception/image_pipeline/issues/501>: self.size is set before dumping calibration parameters in calibrator.py do_calibration(self, dump) (#502 <https://github.com/ros-perception/image_pipeline/issues/502>)
  * Contributors: Gonçalo Camelo Neves Pereira, Stewart Jamieson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 May 2020 05:00:00 -0000

ros-melodic-camera-calibration (1.14.0-1bionic) bionic; urgency=high

  * Add Fisheye calibration tool (#440 <https://github.com/ros-perception/image_pipeline/issues/440>)
    * Add Fisheye calibration tool
    * Restore camera_calib files permisions
    * Upgrades to calibrator tool for multi model calibration
    * Solve fisheye balance selection
    * Add fisheye calibration flags as user arguments
    * Add undistortion of points for fisheye
    * cam_calib: Style formating
  * camera_calibration: Improve YAML formatting, make config dumping methods static (#438 <https://github.com/ros-perception/image_pipeline/issues/438>)
    * Add from __future__ import print_function
    * Improve YAML formatting, make some methods static
    * Improves matrix formatting in YAML.
    * Reduced decimal figures for camera and projection matrix values from 8 to 5.
    * Making the methods static allows them to be used from elsewhere as well to dump calibration info.
  * camera_calibration: Fix all-zero distortion coeffs returned for a rational_polynomial model (#433 <https://github.com/ros-perception/image_pipeline/issues/433>)
    * Fix empty distortion coeffs returned for a rational_polynomial model
    * Remove the redundant distCoeffs parameter from cv2.calibrateCamera()
    * Set the shape of distortion_coefficients correctly in YAML output
  * Merge pull request #437 <https://github.com/ros-perception/image_pipeline/issues/437> from valgur/enable-calibration-with-empty-queue
    camera_calibration: Make sure 'calibrate' button works even if not receiving images anymore
  * Make sure 'calibrate' button works even if not receiving images anymore
  * Merge pull request #432 <https://github.com/ros-perception/image_pipeline/issues/432> from valgur/melodic
    camera_calibration: Fix excessive CPU usage due to queue synchronization
  * Replace deque with a modified Queue, add --queue-size param
    Base fork on upstream melodic instead of indigo
  * Contributors: David Torres Ocaña, Joshua Whitley, Martin Valgur, Tim Übelhör

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 12 Jan 2020 06:00:00 -0000

ros-melodic-camera-calibration (1.13.0-1bionic) bionic; urgency=high

  * Merge pull request #356 <https://github.com/ros-perception/image_pipeline/issues/356> from sevangelatos/feature/calibrator_rolling_shutter
  * Add max-chessboard-speed option to allow more accurate calibration of rolling shutter cameras.
  * Merge pull request #334 <https://github.com/ros-perception/image_pipeline/issues/334> from Fruchtzwerg94/patch-2
    Scale pixels down from 16 to 8 bits instead of just clipping
  * Merge pull request #340 <https://github.com/ros-perception/image_pipeline/issues/340> from k-okada/286
    use waitKey(0) instead of while loop
  * Merge pull request #395 <https://github.com/ros-perception/image_pipeline/issues/395> from ros-perception/steve_maintain
  * adding autonomoustuff mainainer
  * adding stevemacenski as maintainer to get emails
  * Scale pixels down from 16 to 8 bits instead of just clipping
    Clipping 16 bit pixels just to 8 bit pixels leads to white images if the original image uses the full range of the 16 bits. Instead the pixel should be scaled down to 8 bits.
  * Contributors: Joshua Whitley, Kei Okada, Philipp, Spiros Evangelatos, Yoshito Okada, stevemacenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Jun 2019 05:00:00 -0000

ros-melodic-camera-calibration (1.12.23-1bionic) bionic; urgency=high

  * camera_checker: Ensure cols + rows are in correct order (#319 <https://github.com/ros-perception/image_pipeline/issues/319>)
    Without this commit, specifying a smaller column than row size lead to
    huge reported errors:
    ```
    $ rosrun camera_calibration cameracheck.py --size 6x7 --square 0.0495
    Linearity RMS Error: 13.545 Pixels      Reprojection RMS Error: 22.766 Pixels
    $ rosrun camera_calibration cameracheck.py --size 7x6 --square 0.0495

