=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin (>= 0.5.68), ros-melodic-rostest
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin (>= 0.5.68), ros-melodic-rostest <!nocheck>
 Homepage: http://www.ros.org/wiki/camera_calibration
 Standards-Version: 3.9.2
